/**
 * Copyright IBM Corp. 2020, 2026
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */

const noop = () => void 0;
const shimIfProduction = (fn) => fn;
var pconsole_default = {
	isProduction: false,
	noop,
	shimIfProduction,
	log: shimIfProduction((...args) => console.log(...args)),
	warn: shimIfProduction((...args) => console.warn(...args)),
	error: shimIfProduction((...args) => console.error(...args))
};
//#endregion
export { pconsole_default as default };
